all: klausur_idb_SS16.pdf solutions

solutions:
	@pdflatex --jobname=klausur_idb_SS16_ML "\def\withsolutions{1} \input{klausur_idb_SS16.tex}"

continuous: $(PDF).continuous

clean: cleanup

cleanup:
	@-rm -f *.aux *.fdb_latexmk *.fls *.log

%.continuous: %.pdf
	@latexmk -quiet -jobname=$(@:%.continuous=%) -pvc -pdf $(@:%.continuous=%).tex

%.pdf: %.tex
	@latexmk -jobname=$(@:%.pdf=%) -pdf -halt-on-error $<

.PHONY: all continuous cleanup single clean rmpdf solutions
